using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempRecbtosItens
    {
        public void Execute(entidadeTempRecbtosItens objTempRecbtosItens)
        {
            dalTempRecbtosItens dalTempRecbtosItens = null;

            try
            {
                dalTempRecbtosItens = new dalTempRecbtosItens();

                dalTempRecbtosItens.Execute(objTempRecbtosItens);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute_1(entidadeTempRecbtosItens objTempRecbtosItens)
        {
            dalTempRecbtosItens dalTempRecbtosItens = null;

            try
            {
                dalTempRecbtosItens = new dalTempRecbtosItens();

                dalTempRecbtosItens.Execute_1(objTempRecbtosItens);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Execute_2(entidadeTempRecbtosItens objTempRecbtosItens)
        {
            dalTempRecbtosItens dalTempRecbtosItens = null;
            DataTable dt = null;

            try
            {
                dalTempRecbtosItens = new dalTempRecbtosItens();
                dt = dalTempRecbtosItens.Execute_2(objTempRecbtosItens);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
